Index: src/cvec.c
===================================================================
--- src/cvec.c	(revision ad76ce29390d3949fd98a5f7640fdda3cc265caa)
+++ src/cvec.c	(revision 5d10ac1882948152e9628c6fea144137274d607c)
@@ -39,20 +39,25 @@
 }
 
-void cvec_write_norm(cvec_t *s, smpl_t data, uint_t position) {
+void cvec_norm_set_sample (cvec_t *s, smpl_t data, uint_t position) {
   s->norm[position] = data;
 }
-void cvec_write_phas(cvec_t *s, smpl_t data, uint_t position) {
+
+void cvec_phas_set_sample (cvec_t *s, smpl_t data, uint_t position) {
   s->phas[position] = data;
 }
-smpl_t cvec_read_norm(cvec_t *s, uint_t position) {
+
+smpl_t cvec_norm_get_sample (cvec_t *s, uint_t position) {
   return s->norm[position];
 }
-smpl_t cvec_read_phas(cvec_t *s, uint_t position) {
+
+smpl_t cvec_phas_get_sample (cvec_t *s, uint_t position) {
   return s->phas[position];
 }
-smpl_t * cvec_get_norm(cvec_t *s) {
+
+smpl_t * cvec_norm_get_data (cvec_t *s) {
   return s->norm;
 }
-smpl_t * cvec_get_phas(cvec_t *s) {
+
+smpl_t * cvec_phas_get_data (cvec_t *s) {
   return s->phas;
 }
@@ -92,5 +97,5 @@
 }
 
-void cvec_set_all_norm(cvec_t *s, smpl_t val) {
+void cvec_norm_set_all (cvec_t *s, smpl_t val) {
   uint_t j;
   for (j=0; j< s->length; j++) {
@@ -99,17 +104,17 @@
 }
 
-void cvec_zeros_norm(cvec_t *s) {
+void cvec_norm_zeros(cvec_t *s) {
 #if HAVE_MEMCPY_HACKS
   memset(s->norm, 0, s->length * sizeof(smpl_t));
 #else
-  cvec_set_all_norm(s, 0.);
+  cvec_norm_set_all (s, 0.);
 #endif
 }
 
-void cvec_ones_norm(cvec_t *s) {
-  cvec_set_all_norm(s, 1.);
+void cvec_norm_ones(cvec_t *s) {
+  cvec_norm_set_all (s, 1.);
 }
 
-void cvec_set_all_phas(cvec_t *s, smpl_t val) {
+void cvec_phas_set_all (cvec_t *s, smpl_t val) {
   uint_t j;
   for (j=0; j< s->length; j++) {
@@ -118,18 +123,18 @@
 }
 
-void cvec_zeros_phas(cvec_t *s) {
+void cvec_phas_zeros(cvec_t *s) {
 #if HAVE_MEMCPY_HACKS
   memset(s->phas, 0, s->length * sizeof(smpl_t));
 #else
-  cvec_set_all_phas(s, 0.);
+  cvec_phas_set_all (s, 0.);
 #endif
 }
 
-void cvec_ones_phas(cvec_t *s) {
-  cvec_set_all_phas(s, 1.);
+void cvec_phas_ones(cvec_t *s) {
+  cvec_phas_set_all (s, 1.);
 }
 
 void cvec_zeros(cvec_t *s) {
-  cvec_zeros_norm(s);
-  cvec_zeros_phas(s);
+  cvec_norm_zeros(s);
+  cvec_phas_zeros(s);
 }
Index: src/cvec.h
===================================================================
--- src/cvec.h	(revision ad76ce29390d3949fd98a5f7640fdda3cc265caa)
+++ src/cvec.h	(revision 5d10ac1882948152e9628c6fea144137274d607c)
@@ -28,9 +28,9 @@
 /** \file
 
-  Vector of complex-valued data
+  Vector of complex-valued data, stored in polar coordinates
 
   This file specifies the ::cvec_t buffer type, which is used throughout aubio
   to store complex data. Complex values are stored in terms of ::cvec_t.phas
-  and norm, within size/2+1 long vectors of ::smpl_t.
+  and norm, within 2 vectors of ::smpl_t of size (size/2+1) each.
 
   \example test-cvec.c
@@ -38,5 +38,5 @@
 */
 
-/** Buffer for complex data
+/** Vector of real-valued phase and spectrum data
 
   \code
@@ -79,4 +79,5 @@
 */
 cvec_t * new_cvec(uint_t length);
+
 /** cvec_t buffer deletion function
 
@@ -85,33 +86,39 @@
 */
 void del_cvec(cvec_t *s);
+
 /** write norm value in a complex buffer
 
-  Note that this function is not used in the aubio library, since the same
-  result can be obtained by assigning vec->norm[position]. Its purpose
-  is to access these values from wrappers, as created by swig.
+  This is equivalent to:
+  \code
+  s->norm[position] = val;
+  \endcode
 
   \param s vector to write to
-  \param data norm value to write in s->norm[position]
+  \param val norm value to write in s->norm[position]
   \param position sample position to write to
 
 */
-void cvec_write_norm(cvec_t *s, smpl_t data, uint_t position);
+void cvec_norm_set_sample (cvec_t *s, smpl_t val, uint_t position);
+
 /** write phase value in a complex buffer
 
-  Note that this function is not used in the aubio library, since the same
-  result can be obtained by assigning vec->phas[position]. Its purpose
-  is to access these values from wrappers, as created by swig.
+  This is equivalent to:
+  \code
+  s->phas[position] = val;
+  \endcode
 
   \param s vector to write to
-  \param data phase value to write in s->phas[position]
+  \param val phase value to write in s->phas[position]
   \param position sample position to write to
 
 */
-void cvec_write_phas(cvec_t *s, smpl_t data, uint_t position);
+void cvec_phas_set_sample (cvec_t *s, smpl_t val, uint_t position);
+
 /** read norm value from a complex buffer
 
-  Note that this function is not used in the aubio library, since the same
-  result can be obtained with vec->norm[position]. Its purpose is to
-  access these values from wrappers, as created by swig.
+  This is equivalent to:
+  \code
+  smpl_t foo = s->norm[position];
+  \endcode
 
   \param s vector to read from
@@ -119,36 +126,42 @@
 
 */
-smpl_t cvec_read_norm(cvec_t *s, uint_t position);
+smpl_t cvec_norm_get_sample (cvec_t *s, uint_t position);
+
 /** read phase value from a complex buffer
 
-  Note that this function is not used in the aubio library, since the same
-  result can be obtained with vec->phas[position]. Its purpose is to
-  access these values from wrappers, as created by swig.
+  This is equivalent to:
+  \code
+  smpl_t foo = s->phas[position];
+  \endcode
 
   \param s vector to read from
   \param position sample position to read from
-
-*/
-smpl_t cvec_read_phas(cvec_t *s, uint_t position);
+  \returns the value of the sample at position
+
+*/
+smpl_t cvec_phas_get_sample (cvec_t *s, uint_t position);
+
 /** read norm data from a complex buffer
 
-  Note that this function is not used in the aubio library, since the same
-  result can be obtained with vec->norm. Its purpose is to access these values
-  from wrappers, as created by swig.
-
-  \param s vector to read from
-
-*/
-smpl_t * cvec_get_norm(cvec_t *s);
+  \code
+  smpl_t *data = s->norm;
+  \endcode
+
+  \param s vector to read from
+
+*/
+smpl_t * cvec_norm_get_data (cvec_t *s);
+
 /** read phase data from a complex buffer
 
-  Note that this function is not used in the aubio library, since the same
-  result can be obtained with vec->phas. Its purpose is to access these values
-  from wrappers, as created by swig.
-
-  \param s vector to read from
-
-*/
-smpl_t * cvec_get_phas(cvec_t *s);
+  This is equivalent to:
+  \code
+  smpl_t *data = s->phas;
+  \endcode
+
+  \param s vector to read from
+
+*/
+smpl_t * cvec_phas_get_data (cvec_t *s);
 
 /** print out cvec data
@@ -173,5 +186,5 @@
 
 */
-void cvec_set_all_norm(cvec_t *s, smpl_t val);
+void cvec_norm_set_all (cvec_t *s, smpl_t val);
 
 /** set all norm elements to zero
@@ -180,5 +193,5 @@
 
 */
-void cvec_zeros_norm(cvec_t *s);
+void cvec_norm_zeros(cvec_t *s);
 
 /** set all norm elements to one
@@ -187,5 +200,5 @@
 
 */
-void cvec_ones_norm(cvec_t *s);
+void cvec_norm_ones(cvec_t *s);
 
 /** set all phase elements to a given value
@@ -195,5 +208,5 @@
 
 */
-void cvec_set_all_phas(cvec_t *s, smpl_t val);
+void cvec_phas_set_all (cvec_t *s, smpl_t val);
 
 /** set all phase elements to zero
@@ -202,5 +215,5 @@
 
 */
-void cvec_zeros_phas(cvec_t *s);
+void cvec_phas_zeros(cvec_t *s);
 
 /** set all phase elements to one
@@ -209,5 +222,5 @@
 
 */
-void cvec_ones_phas(cvec_t *s);
+void cvec_phas_ones(cvec_t *s);
 
 /** set all norm and phas elements to zero
